- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MetaElement< algebra::FreeMonoidProduct< F, S >, T > Struct Template Reference
[Fmp]

Services of an element of a monoid implemented with FreeMonoidProduct. More...

Inheritance diagram for MetaElement< algebra::FreeMonoidProduct< F, S >, T >:

[legend]

List of all members.

## Detailed Description

### template<class F, class S, typename T>
struct vcsn::MetaElement< algebra::FreeMonoidProduct< F, S >, T >

Services of an element of a monoid implemented with FreeMonoidProduct.

Definition at line 96 of file freemonoid_product.hh.